[Esapi-user] Esapi 1.4 to 2.01 upgrade path

Andre Susantin andre_susantin at yahoo.com
Tue Jan 22 20:35:04 UTC 2013


We're using Esapi 1.4.4 and wanted to upgrade to 2.0.1

1. What is the option of not referring ESAPI.properties by add to VM Arguments:
-Dorg.owasp.esapi.resources="/path/to/.esapi? 
Can we add just classpath to /path/to/.esapi? 

2. Dependency library: Do we have to replace all 1.4 dependency libraries, with the 2.0.1?

Comparing these 2 dependencies show many same libs:
2.0.1:
http://owasp-esapi-java.googlecode.com/svn/trunk_doc/2.0-rc6/site/dependencies.html

1.4.4: 
http://owasp-esapi-java.googlecode.com/svn/trunk_doc/1.4.4/site/dependencies.html



We are currently only using ESAPI.encoder packages, what is the  minimum libs required for ESAPI-2.0.1.jar to function?

Thanks
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.owasp.org/pipermail/esapi-user/attachments/20130122/8016127c/attachment.html>


More information about the Esapi-user mailing list